<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc -->
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>INIBuilderParametersImpl (Apache Commons Configuration 2.2 API)</title>
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="INIBuilderParametersImpl (Apache Commons Configuration 2.2 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/INIBuilderParametersImpl.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/apache/commons/configuration2/builder/HierarchicalBuilderProperties.html" title="interface in org.apache.commons.configuration2.builder"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/apache/commons/configuration2/builder/INIBuilderProperties.html" title="interface in org.apache.commons.configuration2.builder"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/configuration2/builder/INIBuilderParametersImpl.html" target="_top">Frames</a></li>
<li><a href="INIBuilderParametersImpl.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.apache.commons.configuration2.builder</div>
<h2 title="Class INIBuilderParametersImpl" class="title">Class INIBuilderParametersImpl</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html" title="class in org.apache.commons.configuration2.builder">org.apache.commons.configuration2.builder.BasicBuilderParameters</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">org.apache.commons.configuration2.builder.FileBasedBuilderParametersImpl</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../org/apache/commons/configuration2/builder/HierarchicalBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">org.apache.commons.configuration2.builder.HierarchicalBuilderParametersImpl</a></li>
<li>
<ul class="inheritance">
<li>org.apache.commons.configuration2.builder.INIBuilderParametersImpl</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Cloneable.html?is-external=true" title="class or interface in java.lang">Cloneable</a>, <a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderProperties.html" title="interface in org.apache.commons.configuration2.builder">BasicBuilderProperties</a>&lt;<a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html" title="class in org.apache.commons.configuration2.builder">BasicBuilderParameters</a>&gt;, <a href="../../../../../org/apache/commons/configuration2/builder/BuilderParameters.html" title="interface in org.apache.commons.configuration2.builder">BuilderParameters</a>, <a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderProperties.html" title="interface in org.apache.commons.configuration2.builder">FileBasedBuilderProperties</a>&lt;<a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">FileBasedBuilderParametersImpl</a>&gt;, <a href="../../../../../org/apache/commons/configuration2/builder/HierarchicalBuilderProperties.html" title="interface in org.apache.commons.configuration2.builder">HierarchicalBuilderProperties</a>&lt;<a href="../../../../../org/apache/commons/configuration2/builder/HierarchicalBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">HierarchicalBuilderParametersImpl</a>&gt;, <a href="../../../../../org/apache/commons/configuration2/builder/INIBuilderProperties.html" title="interface in org.apache.commons.configuration2.builder">INIBuilderProperties</a>&lt;<a href="../../../../../org/apache/commons/configuration2/builder/INIBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">INIBuilderParametersImpl</a>&gt;</dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">INIBuilderParametersImpl</span>
extends <a href="../../../../../org/apache/commons/configuration2/builder/HierarchicalBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">HierarchicalBuilderParametersImpl</a>
implements <a href="../../../../../org/apache/commons/configuration2/builder/INIBuilderProperties.html" title="interface in org.apache.commons.configuration2.builder">INIBuilderProperties</a>&lt;<a href="../../../../../org/apache/commons/configuration2/builder/INIBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">INIBuilderParametersImpl</a>&gt;</pre>
<div class="block"><p>
 A specialized parameters class for INI configuration.
 </p>
 <p>
 This parameters class defines some properties which allow customizing the
 parsing and writing of INI documents.
 </p>
 <p>
 This class is not thread-safe. It is intended that an instance is constructed
 and initialized by a single thread during configuration of a
 <code>ConfigurationBuilder</code>.
 </p></div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>2.2</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.apache.commons.configuration2.builder.BuilderParameters">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.apache.commons.configuration2.builder.<a href="../../../../../org/apache/commons/configuration2/builder/BuilderParameters.html" title="interface in org.apache.commons.configuration2.builder">BuilderParameters</a></h3>
<code><a href="../../../../../org/apache/commons/configuration2/builder/BuilderParameters.html#RESERVED_PARAMETER_PREFIX">RESERVED_PARAMETER_PREFIX</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/INIBuilderParametersImpl.html#INIBuilderParametersImpl--">INIBuilderParametersImpl</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/INIBuilderParametersImpl.html#inheritFrom-java.util.Map-">inheritFrom</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,?&gt;&nbsp;source)</code>
<div class="block">Inherits properties from the specified map.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/builder/INIBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">INIBuilderParametersImpl</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/builder/INIBuilderParametersImpl.html#setSeparatorUsedInOutput-java.lang.String-">setSeparatorUsedInOutput</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;separator)</code>
<div class="block">Allows setting the separator between key and value to be used when
 writing an INI file.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.apache.commons.configuration2.builder.HierarchicalBuilderParametersImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.apache.commons.configuration2.builder.<a href="../../../../../org/apache/commons/configuration2/builder/HierarchicalBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">HierarchicalBuilderParametersImpl</a></h3>
<code><a href="../../../../../org/apache/commons/configuration2/builder/HierarchicalBuilderParametersImpl.html#setExpressionEngine-org.apache.commons.configuration2.tree.ExpressionEngine-">setExpressionEngine</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.apache.commons.configuration2.builder.FileBasedBuilderParametersImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.apache.commons.configuration2.builder.<a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">FileBasedBuilderParametersImpl</a></h3>
<code><a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderParametersImpl.html#clone--">clone</a>, <a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderParametersImpl.html#fromMap-java.util.Map-">fromMap</a>, <a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderParametersImpl.html#fromParameters-java.util.Map-">fromParameters</a>, <a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderParametersImpl.html#fromParameters-java.util.Map-boolean-">fromParameters</a>, <a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderParametersImpl.html#getFileHandler--">getFileHandler</a>, <a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderParametersImpl.html#getParameters--">getParameters</a>, <a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderParametersImpl.html#getReloadingDetectorFactory--">getReloadingDetectorFactory</a>, <a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderParametersImpl.html#getReloadingRefreshDelay--">getReloadingRefreshDelay</a>, <a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderParametersImpl.html#setBasePath-java.lang.String-">setBasePath</a>, <a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderParametersImpl.html#setEncoding-java.lang.String-">setEncoding</a>, <a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderParametersImpl.html#setFile-java.io.File-">setFile</a>, <a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderParametersImpl.html#setFileName-java.lang.String-">setFileName</a>, <a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderParametersImpl.html#setFileSystem-org.apache.commons.configuration2.io.FileSystem-">setFileSystem</a>, <a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderParametersImpl.html#setLocationStrategy-org.apache.commons.configuration2.io.FileLocationStrategy-">setLocationStrategy</a>, <a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderParametersImpl.html#setPath-java.lang.String-">setPath</a>, <a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderParametersImpl.html#setReloadingDetectorFactory-org.apache.commons.configuration2.builder.ReloadingDetectorFactory-">setReloadingDetectorFactory</a>, <a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderParametersImpl.html#setReloadingRefreshDelay-java.lang.Long-">setReloadingRefreshDelay</a>, <a href="../../../../../org/apache/commons/configuration2/builder/FileBasedBuilderParametersImpl.html#setURL-java.net.URL-">setURL</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.apache.commons.configuration2.builder.BasicBuilderParameters">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.apache.commons.configuration2.builder.<a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html" title="class in org.apache.commons.configuration2.builder">BasicBuilderParameters</a></h3>
<code><a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html#copyPropertiesFrom-java.util.Map-java.lang.String...-">copyPropertiesFrom</a>, <a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html#fetchBeanHelper-java.util.Map-">fetchBeanHelper</a>, <a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html#fetchInterpolatorSpecification-java.util.Map-">fetchInterpolatorSpecification</a>, <a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html#fetchProperty-java.lang.String-">fetchProperty</a>, <a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html#merge-org.apache.commons.configuration2.builder.BuilderParameters-">merge</a>, <a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html#setBeanHelper-org.apache.commons.configuration2.beanutils.BeanHelper-">setBeanHelper</a>, <a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html#setConfigurationDecoder-org.apache.commons.configuration2.ConfigurationDecoder-">setConfigurationDecoder</a>, <a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html#setConversionHandler-org.apache.commons.configuration2.convert.ConversionHandler-">setConversionHandler</a>, <a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html#setDefaultLookups-java.util.Collection-">setDefaultLookups</a>, <a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html#setInterpolator-org.apache.commons.configuration2.interpol.ConfigurationInterpolator-">setInterpolator</a>, <a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html#setListDelimiterHandler-org.apache.commons.configuration2.convert.ListDelimiterHandler-">setListDelimiterHandler</a>, <a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html#setLogger-org.apache.commons.configuration2.io.ConfigurationLogger-">setLogger</a>, <a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html#setParentInterpolator-org.apache.commons.configuration2.interpol.ConfigurationInterpolator-">setParentInterpolator</a>, <a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html#setPrefixLookups-java.util.Map-">setPrefixLookups</a>, <a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html#setSynchronizer-org.apache.commons.configuration2.sync.Synchronizer-">setSynchronizer</a>, <a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html#setThrowExceptionOnMissing-boolean-">setThrowExceptionOnMissing</a>, <a href="../../../../../org/apache/commons/configuration2/builder/BasicBuilderParameters.html#storeProperty-java.lang.String-java.lang.Object-">storeProperty</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="INIBuilderParametersImpl--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>INIBuilderParametersImpl</h4>
<pre>public&nbsp;INIBuilderParametersImpl()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="inheritFrom-java.util.Map-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>inheritFrom</h4>
<pre>public&nbsp;void&nbsp;inheritFrom(<a href="http://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,?&gt;&nbsp;source)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a href="../../../../../org/apache/commons/configuration2/builder/HierarchicalBuilderParametersImpl.html#inheritFrom-java.util.Map-">HierarchicalBuilderParametersImpl</a></code></span></div>
<div class="block">Inherits properties from the specified map. This can be used for instance
 to reuse parameters from one builder in another builder - also in
 parent-child relations in which a parent builder creates child builders.
 The purpose of this method is to let a concrete implementation decide
 which properties can be inherited. Because parameters are basically
 organized as a map it would be possible to simply copy over all
 properties from the source object. However, this is not appropriate in
 all cases. For instance, some properties - like a
 <code>ConfigurationInterpolator</code> - are tightly connected to a
 configuration and cannot be reused in a different context. For other
 properties, e.g. a file name, it does not make sense to copy it.
 Therefore, an implementation has to be explicit in the properties it
 wants to take over. This implementation takes some properties defined in this
 class into account. This implementation copies some more properties defined by
 this class.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../../org/apache/commons/configuration2/builder/HierarchicalBuilderParametersImpl.html#inheritFrom-java.util.Map-">inheritFrom</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../org/apache/commons/configuration2/builder/HierarchicalBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">HierarchicalBuilderParametersImpl</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>source</code> - the source properties to inherit from</dd>
</dl>
</li>
</ul>
<a name="setSeparatorUsedInOutput-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setSeparatorUsedInOutput</h4>
<pre>public&nbsp;<a href="../../../../../org/apache/commons/configuration2/builder/INIBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">INIBuilderParametersImpl</a>&nbsp;setSeparatorUsedInOutput(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;separator)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/apache/commons/configuration2/builder/INIBuilderProperties.html#setSeparatorUsedInOutput-java.lang.String-">INIBuilderProperties</a></code></span></div>
<div class="block">Allows setting the separator between key and value to be used when
 writing an INI file.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/apache/commons/configuration2/builder/INIBuilderProperties.html#setSeparatorUsedInOutput-java.lang.String-">setSeparatorUsedInOutput</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/apache/commons/configuration2/builder/INIBuilderProperties.html" title="interface in org.apache.commons.configuration2.builder">INIBuilderProperties</a>&lt;<a href="../../../../../org/apache/commons/configuration2/builder/INIBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">INIBuilderParametersImpl</a>&gt;</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>separator</code> - the new separator for INI output</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a reference to this object for method chaining</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/INIBuilderParametersImpl.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/apache/commons/configuration2/builder/HierarchicalBuilderProperties.html" title="interface in org.apache.commons.configuration2.builder"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/apache/commons/configuration2/builder/INIBuilderProperties.html" title="interface in org.apache.commons.configuration2.builder"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/configuration2/builder/INIBuilderParametersImpl.html" target="_top">Frames</a></li>
<li><a href="INIBuilderParametersImpl.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2001&#x2013;2017 <a href="https://www.apache.org/">The Apache Software Foundation</a>. All rights reserved.</small></p>
</body>
</html>
